<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

namespace App\Controller;

include 'App//model//modelo.php';
include 'App//model//clientes.php';
include 'App//model//observacoes.php';
include 'App//model//negociacoes.php';
  
/**
 * Description of indexController
 *
 * @author alfamidia
 */
class indexController {
    public $clientes;
    public $detalhe_cliente;
    public $observacoes;
    public $detalhe_observacoes;
    public $negociacoes;
    public $detalhe_negociacoes;
    public $funil = array("Prospecção","Qualificação","Negociação","Fechamento","Pós-venda");
    
    protected $view;
    public $conteudo_incluido;
    const CONTEUDO = 1;
    const TITULO = 2;
    
    //--------------------------Funções de Listagem ------------------------
    public function listarClientes() {
        $modelClientes = new \App\model\clientes();
        $this->clientes = $modelClientes->Listar(0);
        $this->render('lista.php','template2.php');
    }
    public function pesquisarClientes() {
        $modelClientes = new \App\model\clientes();
        $this->clientes = $modelClientes->Pesquisar($_GET["pesquisa"]);
        $this->render('lista.php','template2.php');
    }
    
    //--------------------------Funções de Consulta a Conteúdo----------------
    
    public function consultarClientes() {
        $modelClientes = new \App\model\clientes();
        $this->detalhe_cliente = $modelClientes->LerDetalhe($_GET['idClientes']);
        $modelObservacoes = new \App\model\observacoes();
        $this->observacoes = $modelObservacoes->Listar($_GET['idClientes']);
        $modelNegociacoes = new \App\model\negociacoes();
        $this->negociacoes = $modelNegociacoes->Listar($_GET['idClientes']);
        $this->render('conteudo.php','template2.php');
    }
    public function consultarObservacoes()
    {
        $modelObservacoes = new \App\model\observacoes();
        $this->detalhe_observacoes = $modelObservacoes->LerDetalhe($_GET['idObservacoes']);
        $this->render('conteudoobservacao.php','template2.php');
    }
    
    //--------------------------Funções de Exclusão ------------------------
    public function removerClientes() {
        $modelClientes = new \App\model\clientes();
        $modelClientes->Remover($_GET['idClientes']);
        $this->render('remover.php','template2.php');
    }

    public function removerObservacoes() {
        $modelObservacoes = new \App\model\observacoes();
        $modelObservacoes->Remover($_GET['idObservacoes']);
        $this->render('remover.php','template2.php');
    }    
    
    //--------------------------Funções de Inclusão ------------------------
    public function incluirClientes() {
        $modelClientes = new \App\model\clientes();
        if ($_SERVER['REQUEST_METHOD'] === 'POST'){
            $entrada['nome'] = $_POST['nome'];
            $entrada['telefone'] = $_POST['telefone'];
            $idGerado = $modelClientes->Incluir($entrada);
            $this->detalhe_cliente = $modelClientes->LerDetalhe($idGerado);
            $this->mensagem = "Cliente incluido";
            $this->render('editado.php','template2.php');
            return;
        }
        $this->render('incluir.php','template2.php');
    }
    
    public function incluirObservacoes() {
        $modelObservacoes = new \App\model\observacoes();

        if ($_SERVER['REQUEST_METHOD'] === 'POST'){
            $entrada['titulo'] = $_POST['titulo'];
            $entrada['relato'] = $_POST['relato'];
            $entrada['data'] = $_POST['data'];
            $entrada['idClientes'] = $_GET['idClientes'];
            $idGerado = $modelObservacoes->Incluir($entrada);
            $this->detalhe_observacoes = $modelObservacoes->LerDetalhe($idGerado);
            $this->mensagem = "Observação incluida";
            $this->render('editadoobservacao.php','template2.php');
            return;
        }
        $this->render('incluirobservacao.php','template2.php');
    }
    
    public function incluirNegociacoes() {
        $model = new \App\model\negociacoes();
        if ($_SERVER['REQUEST_METHOD'] === 'POST'){
            $entrada['titulo'] = $_POST['titulo'];
            $entrada['relato'] = $_POST['relato'];
            $entrada['datainicial'] = $_POST['datainicial'];
            $entrada['data'] = $_POST['data'];
            $entrada['funil'] = $_POST['funil'];
            $entrada['idClientes'] = $_GET['idClientes'];
            $idGerado = $model->Incluir($entrada);            
            $this->detalhe_negociacoes = $model->LerDetalhe($idGerado);
            $this->mensagem = "Negociação criada";
            $this->render('editadonegociacao.php','template2.php');
            return;
        }
        $this->render('incluirnegociacao.php','template2.php');
    }
    
    //--------------------------Funções de Edição ------------------------
    public function editarClientes() {
        $modelClientes = new \App\model\clientes();
        
        if ($_SERVER['REQUEST_METHOD'] === 'POST'){
            $entrada['nome'] = $_POST['nome'];
            $entrada['telefone'] = $_POST['telefone'];
            $modelClientes->Atualizar($_GET['idClientes'],$entrada);
            $this->detalhe_cliente = $modelClientes->LerDetalhe($_GET['idClientes']);
            $this->mensagem = "Cliente atualizado";
            $this->render('editado.php','template2.php');
            return;
        }
        $this->detalhe_cliente = $modelClientes->LerDetalhe($_GET['idClientes']);
        $this->render('editar.php','template2.php');
    }
    
    public function editarObservacoes() {
        $modelObservacoes = new \App\model\observacoes();
        
        if ($_SERVER['REQUEST_METHOD'] === 'POST'){
            $entrada['titulo'] = $_POST['titulo'];
            $entrada['relato'] = $_POST['relato'];
            $entrada['data'] = $_POST['data'];
            $modelObservacoes->Atualizar($_GET['idObservacoes'],$entrada);
            $this->detalhe_observacoes = $modelObservacoes->LerDetalhe($_GET['idObservacoes']);
            $this->mensagem = "Observação atualizada";
            $this->render('editadoobservacao.php','template2.php');
            return;
        }
        $this->detalhe_observacoes = $modelObservacoes->LerDetalhe($_GET['idObservacoes']);
        $this->render('editarobservacao.php','template2.php');
    }

    //--------------Funções de de comunicação com a view----------------------
    public function content() {
        $this->conteudo_incluido = self::CONTEUDO;
        include $this->view;
    }
    
    public function title() {
        $this->conteudo_incluido = self::TITULO;
        include $this->view;
    }
        
    public function render($view, $template) {
        $this->view = 'App//view//www//' . $view;
        include 'App//view//' . $template;
    }
    
}


