<?php
include 'App//controller//indexController.php';
/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
$route = new Route;
/**
 * Description of Route
 *
 * @author alfamidia
 */
class Route {
    //put your code here
    private $routes;
    
    public function __construct() {
        $this->initRoutes();
        $this->run($this->getURL());
    }
    
    public function initRoutes(){
        $this->routes['/'] = array ('controller' => 'indexController', 'action' => 'agenda');
        $this->routes['/lista'] = array ('controller' => 'indexController', 'action' => 'listarClientes');
        $this->routes['/pesquisa'] = array ('controller' => 'indexController', 'action' => 'pesquisarClientes');
        
        $this->routes['/conteudo'] = array ('controller' => 'indexController', 'action' => 'consultarClientes');
        $this->routes['/conteudo-observacao'] = array ('controller' => 'indexController', 'action' => 'consultarObservacoes');

        $this->routes['/remover'] = array ('controller' => 'indexController', 'action' => 'removerClientes');
        $this->routes['/remover-observacao'] = array ('controller' => 'indexController', 'action' => 'removerObservacoes');

        $this->routes['/incluir'] = array ('controller' => 'indexController', 'action' => 'incluirClientes');
        $this->routes['/incluirobservacao'] = array ('controller' => 'indexController', 'action' => 'incluirObservacoes');
        $this->routes['/incluirnegociacao'] = array ('controller' => 'indexController', 'action' => 'incluirNegociacoes');

        $this->routes['/editar'] = array ('controller' => 'indexController', 'action' => 'editarClientes');
        $this->routes['/editar-observacao'] = array ('controller' => 'indexController', 'action' => 'editarObservacoes');
        $this->routes['/editar-negociacao'] = array ('controller' => 'indexController', 'action' => 'editarNegociacoes');
    }
    
    protected function run($url){
        if (array_key_exists($url, $this->routes)){
            $class = "\\App\\controller\\" . $this->routes[$url]['controller'];
            $controller = new $class;
            $action = $this->routes[$url]['action'];
            $controller->$action();
        }
    }
    
    public function getURL(){
        return parse_url($_SERVER['REQUEST_URI'], PHP_URL_PATH);
    }
}
