<?php

namespace App\model;

class clientes extends modelo
{
    public function preparaListar($restricao) {
        $sql = "SELECT clientes.idClientes, clientes.nome, clientes.telefone FROM clientes";
        $i = 0;
        foreach($this->PDO->query($sql) as $row){
            $this->lista[$i]['nome'] = $row['nome'];
            $this->lista[$i]['telefone'] = $row['telefone'];
            $this->lista[$i]['idClientes'] = $row['idClientes'];
            $i++;
        }
    }
    
     public function preparaPesquisar($pesquisa) {
        $sql = "SELECT idClientes, nome, telefone FROM clientes WHERE nome like :pesquisa";
        $this->retorno = $this->PDO->prepare($sql);
        $this->retorno->execute(array(':pesquisa' => '%'.$pesquisa.'%'));
        $i = 0;
        while($resultado = $retorno->fetch()) {  
            $this->lista[$i]['nome'] = $resultado['nome'];
            $this->lista[$i]['telefone'] = $resultado['telefone'];
            $this->lista[$i]['idClientes'] = $resultado['idClientes'];
            $i++;
        }     
    }
    
    public function preparaRemover($idClientes) {
        $sql = "DELETE FROM clientes WHERE idClientes= ?";
        $this->retorno = $this->PDO->prepare($sql);
    }
    
    public function prepararDetalhe($idClientes) {
        $sql = "SELECT nome, telefone FROM clientes WHERE idClientes= ?";
        $this->retorno = $this->PDO->prepare($sql);
        $this->retorno->bindParam(1,$idClientes);
        $this->retorno->execute();
        $resultado = $this->retorno->fetch();
        $this->detalhe['nome'] = $resultado['nome'];
        $this->detalhe['telefone'] = $resultado['telefone'];
    }
    
    public function prepararAtualizar($idClientes, $entrada){
        $this->retorno = $this->PDO->prepare('UPDATE clientes '
                . 'SET nome = :nome, '
                . 'telefone= :telefone '
                . 'WHERE idClientes = :id');
        $this->retorno->bindParam(':nome',$entrada['nome']);
        $this->retorno->bindParam(':telefone',$entrada['telefone']);
        $this->retorno->bindParam(':id',$idClientes);
    }

    public function preparaIncluir($entrada){
        $this->retorno = $this->PDO->prepare('INSERT INTO clientes (nome, telefone) values (:nome, :telefone)');
        $this->retorno->bindParam(':nome',$entrada['nome']);
        $this->retorno->bindParam(':telefone',$entrada['telefone']);
    }

    
}
